.TH unhide.rb 8 "March 2011" "" "unhide.rb - Finder of hidden processes"
.SH NAME
unhide.rb - Scans system for hidden processes and lists any hits on stderr.
.SH SYNOPSIS
.B unhide.rb
.br
.SH DESCRIPTION
Scans the system for hidden processes.
.PP
Progress messages are printed on stdout and can be redirected to
/dev/null.
.PP
Error diagnostics and information about any hidden processes found is
printed to stderr.
.SH OPTIONS
unhide.rb takes no options
.SH "EXIT STATUS"
.TP
0
No hidden processes found
.TP
1
Something went wrong during scanning
.TP
2
One or more hidden processes were detected
.SH BUGS
Report bugs to
.RB < johan.walles@gmail.com >
or
.RB < https://bugs.launchpad.net/unhide.rb >.
.SH LICENSING
unhide.rb is licensed under the GPL-3, copyright Johan Walles
.RB < johan.walles@gmail.com >.
.SH "SEE ALSO"
rkhunter(8)
.PP
The unhide.rb home page:
.RB < http://launchpad.net/unhide.rb >
.SH NOTES
unhide.rb is a Ruby port of unhide.  When it was first written, the
Ruby port was about 10x faster than the original C program and had
much better diagnostics when hidden processes were found.   The
original unhide program can be found at
.RB < http://www.unhide-forensics.info/ >.
